Bug 1942633 (CVE-2021-21348) - CVE-2021-21348 XStream: ReDoS vulnerability
Summary: CVE-2021-21348 XStream: ReDoS vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-21348
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1942634
Blocks: 1942645
TreeView+ depends on / blocked
 
Reported: 2021-03-24 16:14 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-12-14 21:34 UTC (History)
53 users (show)

Fixed In Version: xstream 1.4.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-26 23:32:38 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2475 0 None None None 2021-06-17 13:16:37 UTC
Red Hat Product Errata RHSA-2021:2476 0 None None None 2021-06-17 13:20:41 UTC
Red Hat Product Errata RHSA-2021:4767 0 None None None 2021-11-23 10:35:19 UTC
Red Hat Product Errata RHSA-2021:4918 0 None None None 2021-12-02 16:18:14 UTC
Red Hat Product Errata RHSA-2021:5134 0 None None None 2021-12-14 21:34:35 UTC

Description Guilherme de Almeida Suckevicz 2021-03-24 16:14:40 UTC
XStream is a Java library to serialize objects to XML and back again. In XStream before version 1.4.16, there is a vulnerability which may allow a remote attacker to occupy a thread that consumes maximum CPU time and will never return. No user is affected, who followed the recommendation to setup XStream's security framework with a whitelist limited to the minimal required types. If you rely on XStream's default blacklist of the Security Framework, you will have to use at least version 1.4.16.

References:
https://github.com/x-stream/xstream/security/advisories/GHSA-56p8-3fh9-4cvq
https://x-stream.github.io/CVE-2021-21348.html

Comment 1 Guilherme de Almeida Suckevicz 2021-03-24 16:15:05 UTC
Created xstream tracking bugs for this issue:

Affects: fedora-all [bug 1942634]

Comment 3 amctagga 2021-03-29 15:09:19 UTC
Statement:

OpenShift Container Platform (OCP) delivers Jenkins LTS package with bundled XStream library. Due to JEP-200 [1] and JEP-228 [2] Jenkins projects, OCP Jenkins package is not affected by this flaw.

[1] https://github.com/jenkinsci/jep/blob/master/jep/200/README.adoc
[2] https://github.com/jenkinsci/jep/blob/master/jep/228/README.adoc#security

Comment 14 errata-xmlrpc 2021-05-26 21:50:17 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 8.2.0

Via RHSA-2021:2139 https://access.redhat.com/errata/RHSA-2021:2139

Comment 15 Product Security DevOps Team 2021-05-26 23:32:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-21348

Comment 16 errata-xmlrpc 2021-06-17 13:16:27 UTC
This issue has been addressed in the following products:

  RHPAM 7.11.0

Via RHSA-2021:2475 https://access.redhat.com/errata/RHSA-2021:2475

Comment 17 errata-xmlrpc 2021-06-17 13:20:32 UTC
This issue has been addressed in the following products:

  RHDM 7.11.0

Via RHSA-2021:2476 https://access.redhat.com/errata/RHSA-2021:2476

Comment 19 errata-xmlrpc 2021-11-23 10:35:16 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4767 https://access.redhat.com/errata/RHSA-2021:4767

Comment 20 errata-xmlrpc 2021-12-02 16:18:10 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4918 https://access.redhat.com/errata/RHSA-2021:4918

Comment 21 errata-xmlrpc 2021-12-14 21:34:32 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.10

Via RHSA-2021:5134 https://access.redhat.com/errata/RHSA-2021:5134


Note You need to log in before you can comment on or make changes to this bug.